curl \
-X PUT 'MEILISEARCH_URL/indexes/movies/settings/ranking-rules' \
-H 'Authorization: Bearer API_KEY' \
-H 'Content-Type: application/json' \
--data-binary '[
"words",
"typo",
"proximity",
"attributeRank",
"sort",
"wordPosition",
"exactness",
"release_date:asc",
"rank:desc"
]'{
"taskUid": 147,
"indexUid": "movies",
"status": "enqueued",
"type": "settingsUpdate",
"enqueuedAt": "2024-08-08T17:05:55.791772Z"
}{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Index `movies` not found.",
"code": "index_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#index_not_found"
}Ranking rules
Update rankingRules
Updates the rankingRules setting for the index.
PUT
/
indexes
/
{index_uid}
/
settings
/
ranking-rules
curl \
-X PUT 'MEILISEARCH_URL/indexes/movies/settings/ranking-rules' \
-H 'Authorization: Bearer API_KEY' \
-H 'Content-Type: application/json' \
--data-binary '[
"words",
"typo",
"proximity",
"attributeRank",
"sort",
"wordPosition",
"exactness",
"release_date:asc",
"rank:desc"
]'{
"taskUid": 147,
"indexUid": "movies",
"status": "enqueued",
"type": "settingsUpdate",
"enqueuedAt": "2024-08-08T17:05:55.791772Z"
}{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Index `movies` not found.",
"code": "index_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#index_not_found"
}Authorizations
An API key is a token that you provide when making API calls. Read more about how to secure your project.
Include the API key to the Authorization header, for instance:
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'
If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:
const client = new MeiliSearch({
host: 'MEILISEARCH_URL',
apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1'
});
Body
application/json
The new value for the rankingRules setting. Send null to reset it to its default value.
A single ranking rule.
Accepts one of the built-in rules (words, typo, proximity,
attribute, attributeRank, wordPosition, sort, exactness) or a sort
rule of the form attribute:asc or attribute:desc.
Available options:
words, typo, proximity, attribute, attributeRank, wordPosition, sort, exactness Example:
[
"words",
"typo",
"proximity",
"attribute",
"sort",
"exactness"
]
Response
Task successfully enqueued.
A summarized view of a task, returned when a task is enqueued
Type of operation performed by the task.
Available options:
documentAdditionOrUpdate, documentEdition, documentDeletion, settingsUpdate, indexCreation, indexDeletion, indexUpdate, indexSwap, taskCancelation, taskDeletion, dumpCreation, snapshotCreation, export, upgradeDatabase, indexCompaction, networkTopologyChange, dsrUpdate, dsrClear Example:
"documentAdditionOrUpdate"